UiPath Documentation
document-understanding
2.2510
true
  • Introdução
    • Visão geral
    • Limites e cota
  • Exemplos usando a API do Document Understanding™
  • Licenciamento
  • Solução de problemas
Importante :
A localização de um conteúdo recém-publicado pode levar de 1 a 2 semanas para ficar disponível.
UiPath logo, featuring letters U and I in white

Document Understanding API guide

Última atualização 6 de abr de 2026

Obter a solicitação de extração

Dica:

For detailed information on the response schema, check the Requests response schemas page. There you can find more information on the request status and other field.

Obter os campos de extração de um documento

Use o operationID recebido anteriormente na resposta da chamada POST.

Dica:

The Project ID is obtained from the response received from the Get project information call.

curl -X 'GET' \ 'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhbGciOiJSUz***u-qA'
curl -X 'GET' \ 'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhbGciOiJSUz***u-qA'

Obtenha a resposta da extração de campos de um documento

Este exemplo foi cortado para fins de legibilidade.

{
  "status": "Succeeded",
  "createdAt": "2023-05-02T11:47:10.0145504Z",
  "lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
  "result": {
    "extractionResult": {
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "resultsVersion": 0,
      "resultsDocument": {
        "bounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "language": "eng",
        "documentGroup": "",
        "documentCategory": "",
        "documentTypeId": "invoices",
        "documentTypeName": "Invoices",
        "documentTypeDataVersion": 0,
        "dataVersion": 0,
        "documentTypeSource": "Automatic",
        "documentTypeField": {
          "components": [],
          "value": "Invoices",
          "unformattedValue": "",
          "reference": {
            "textStartIndex": 0,
            "textLength": 0,
            "tokens": []
          },
          "derivedFields": [],
          "confidence": 1,
          "operatorConfirmed": false,
          "ocrConfidence": -1,
          "textType": "Unknown"
        },
        "fields": [
          {
            "fieldId": "iban",
            "fieldName": "IBAN",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "bank-addr",
            "fieldName": "Bank Address",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "tax-rate",
            "fieldName": "Tax Rate",
            "fieldType": "Number",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          }
        ],
        "tables": [
          {
            "fieldId": "items",
            "fieldName": "items",
            "isMissing": false,
            "dataSource": "Automatic",
            "dataVersion": 0,
            "operatorConfirmed": false,
            "values": [
              {
                "operatorConfirmed": false,
                "confidence": 0.8858047,
                "ocrConfidence": -1,
                "cells": [
                  {
                    "rowIndex": 1,
                    "columnIndex": 5,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  },
                  {
                    "rowIndex": 1,
                    "columnIndex": 6,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  }
                ],
                "columnInfo": [
                  {
                    "fieldId": "description",
                    "fieldName": "Description",
                    "fieldType": "Text"
                  },
                  {
                    "fieldId": "quantity",
                    "fieldName": "Quantity",
                    "fieldType": "Number"
                  },

                ],
                "numberOfRows": 2
              }
            ]
          }
        ]
      },
      "extractorPayloads": null,
      "businessRulesResults": null
    }
  }
}
{
  "status": "Succeeded",
  "createdAt": "2023-05-02T11:47:10.0145504Z",
  "lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
  "result": {
    "extractionResult": {
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "resultsVersion": 0,
      "resultsDocument": {
        "bounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "language": "eng",
        "documentGroup": "",
        "documentCategory": "",
        "documentTypeId": "invoices",
        "documentTypeName": "Invoices",
        "documentTypeDataVersion": 0,
        "dataVersion": 0,
        "documentTypeSource": "Automatic",
        "documentTypeField": {
          "components": [],
          "value": "Invoices",
          "unformattedValue": "",
          "reference": {
            "textStartIndex": 0,
            "textLength": 0,
            "tokens": []
          },
          "derivedFields": [],
          "confidence": 1,
          "operatorConfirmed": false,
          "ocrConfidence": -1,
          "textType": "Unknown"
        },
        "fields": [
          {
            "fieldId": "iban",
            "fieldName": "IBAN",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "bank-addr",
            "fieldName": "Bank Address",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "tax-rate",
            "fieldName": "Tax Rate",
            "fieldType": "Number",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          }
        ],
        "tables": [
          {
            "fieldId": "items",
            "fieldName": "items",
            "isMissing": false,
            "dataSource": "Automatic",
            "dataVersion": 0,
            "operatorConfirmed": false,
            "values": [
              {
                "operatorConfirmed": false,
                "confidence": 0.8858047,
                "ocrConfidence": -1,
                "cells": [
                  {
                    "rowIndex": 1,
                    "columnIndex": 5,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  },
                  {
                    "rowIndex": 1,
                    "columnIndex": 6,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  }
                ],
                "columnInfo": [
                  {
                    "fieldId": "description",
                    "fieldName": "Description",
                    "fieldType": "Text"
                  },
                  {
                    "fieldId": "quantity",
                    "fieldName": "Quantity",
                    "fieldType": "Number"
                  },

                ],
                "numberOfRows": 2
              }
            ]
          }
        ]
      },
      "extractorPayloads": null,
      "businessRulesResults": null
    }
  }
}

Esta página foi útil?

Conectar

Precisa de ajuda? Suporte

Quer aprender? Academia UiPath

Tem perguntas? Fórum do UiPath

Fique por dentro das novidades